List Installment Plans
Payment plan subscriptions, newest first. Customer details require customers:read. Unmirrored terms and dates are null.
GET
/installment_plansPayment plan subscriptions, newest first. Customer details require customers:read. Unmirrored terms and dates are null.
AuthorizationBearer <token>
In: header
Query Parameters
cursor?string
Opaque signed cursor. Return it unchanged; valid for 24 hours.
Length
1 <= length <= 8192limit?integer
Range
1 <= value <= 100Default
50product?string
Opaque product ID.
Match
^prd_[0-7][0-9abcdefghjkmnpqrstvwxyz]{25}$(?![\s\S])price?string
Opaque price ID.
Match
^prc_[0-7][0-9abcdefghjkmnpqrstvwxyz]{25}$(?![\s\S])status?string
Value in
- "on_track"
- "payment_missed"
- "paid_in_full"
- "stopped"
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/installment_plans"{ "data": [ { "object": "installment_plan", "id": "string", "livemode": true, "created_at": "2019-08-24T14:15:22Z", "product_id": "string", "plan_id": "string", "price_id": "string", "customer_id": "string", "customer": { "name": "string", "email": "string" }, "status": "on_track", "installments_total": 0, "installment_amount": { "amount": -9007199254740991, "currency": "string" }, "total": { "amount": -9007199254740991, "currency": "string" }, "paid_count": 0, "paid": { "amount": -9007199254740991, "currency": "string" }, "remaining": { "amount": -9007199254740991, "currency": "string" }, "payment_method": { "type": "string", "brand": "string", "last4": "string" }, "installments": [ { "number": 1, "amount": { "amount": -9007199254740991, "currency": "string" }, "status": "paid", "due_at": "string", "paid_at": "string", "failed_at": "string", "next_retry_at": "string", "at_checkout": true, "affiliate_earned": { "amount": -9007199254740991, "currency": "string" } } ], "next_payment": { "number": 0, "amount": { "amount": -9007199254740991, "currency": "string" }, "due_at": "string", "is_last": true }, "affiliate": { "affiliate_id": "string", "name": "string", "rate_percent": 0, "earned": { "amount": -9007199254740991, "currency": "string" }, "potential": { "amount": -9007199254740991, "currency": "string" } }, "missed_payment_rule": "overdue_rules", "last_email": { "kind": "payment_failed", "sent_at": "2019-08-24T14:15:22Z" }, "stopped_at": "string", "paid_in_full_at": "string" } ], "pagination": { "next_cursor": "string", "has_more": true, "as_of": "2019-08-24T14:15:22Z" }, "request_id": "266ea41d-adf5-480b-af50-15b940c2b846", "source": "primary"}